@charset "utf-8";

/* CSS Document */

html {
  font-size: 62.5%;

  scroll-padding-top: 80px;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  color: #fff;

  text-align: center;

  font-size: 1.4rem;

  font-family: sans-serif;

  min-width: 1200px;
}

.heading {
  position: relative;
  display: inline-block;
  letter-spacing: 2px;
  color: #ececec;
  padding-top: 35px;
}

#service .heading {
  width: 100%;
  height: 53vw;
  max-height: 330px;
  background: url("/img/index/bg_img01.jpg");
  padding-top: 44px;
}

#service .heading::before,
#service .heading::after {
  content: "";
  display: block;
  width: 0;
  height: 0;
  border-width: 100px;
  border-style: solid;
  position: absolute;
  bottom: 0;
}

#service .heading::before {
  border-color: transparent transparent #fabf1b transparent;
  border-width: 0px 860px 230px 0px;
  left: 0;
}

#service .heading::after {
  border-color: transparent transparent #fabf1b transparent;
  border-width: 0px 0px 230px 860px;
  right: 0;
}

.h2TextTop {
  color: #333;

  font-size: 3rem;

}

.h2TextBottom {
  color: #333;

  font-size: 1.5rem;

  display: inline-block;

  padding: 5px 0 0 0;

  margin-top: 1rem;

  font-weight: bold;

  font-weight: bold;
}

/* header */

.contents {
  padding: 0 0 50px;
  position: relative;
}

#headerWrap {
  position: fixed;

  width: 100%;

  min-width: 1200px;

  z-index: 10;
}

#headerBox {
  width: 80%;

  margin: 0 auto;
}

.logo {
  float: left;

  margin-top: 10px;

  background-color: #fff;

  padding: 0 10px;
}

.logo img {
  width: 280px;
}

.menu {
  float: right;
}

.menu li {
  display: inline-block;

  width: 100px;

  height: 85px;

  text-align: center;
}

.menu li a {
  display: block;

  height: 100%;

  width: 100%;

  line-height: 6em;
}

#headerBox .menu li a {
  color: #333;

  font-size: 15px;

  text-decoration: none;

  font-weight: bold;

  align-items: center;

  justify-content: center;
}

#headerBox li a:hover {
  border-bottom: 5px solid #fac637;

  transition: all 0.3s ease;
}

/* TOP */

#top {
  padding: 90px 0 0 0;
}

#top img {
  width: 100%;

  height: auto;

  object-fit: contain;

  position: relative;

  bottom: -5px;
}

#mainImageWrapper::before,
#mainImageWrapper::after {
  content: "";
  background-image: url(/img/index/img_object.svg);
  background-repeat: no-repeat;
  display: block;
  position: absolute;
  z-index: 1;
}

#mainImageWrapper::before {
  width: 30vw;
  height: 16vw;
  min-width: 366px;
  min-height: 195px;
  background-position: bottom right;
  background-size: 159%;
  top: 5px;
  left: 0;
}

#mainImageWrapper::after {
  width: 26vw;
  height: 14vw;
  min-width: 316px;
  min-height: 170px;
  background-position: top left;
  background-size: 160%;
  bottom: -2px;
  right: 0;
}

#mainImageWrapper {
  position: relative;
}

#top img#mainCopy {
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  width: 32vw;
  min-width: 391px;
  height: auto;
  transform: translateY(-50%);
  margin: 0 auto;
}

.topBorder {
  position: absolute;

  top: 50%;

  left: 50%;

  -webkit-transform: translate(-50%, -50%);

  transform: translate(-50%, -50%);

  font-size: 5vh;

  background-color: rgba(51, 51, 51, 0.8);
}

/*anime*/

.topBorder {
  display: inline-block;

  padding: 4% 2%;

  text-align: center;

  text-decoration: none;

  outline: none;

  transition: all 0.2s;

  white-space: nowrap;

  backdrop-filter: blur(5px);
}

.topBorder::before,
.topBorder::after {
  position: absolute;

  top: 0;

  left: 0;

  z-index: 2;

  content: "";

  width: 0;

  height: 0;

  border: 2px solid transparent;
}

@keyframes anime {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes anime2 {
  0% {
    width: 0%;

    height: 0;
  }

  100% {
    width: 100%;

    height: 100%;

    border-top: 2px solid #3be5ae;

    /* #3be5ae */
  }
}

@keyframes anime3 {
  0% {
    width: 0%;

    height: 100%;
  }

  100% {
    width: 100%;

    height: 100%;

    border-bottom: 2px solid #3be5ae;
  }
}

.topText {
  animation: 1.5s anime;

  animation-delay: 0.5s;

  animation-fill-mode: both;
}

.topBorder::before {
  animation: 1.5s anime2;

  animation-delay: 0.5s;

  animation-fill-mode: both;
}

.topBorder::after {
  width: 100%;

  animation: 1.5s anime3;

  animation-delay: 0.5s;

  animation-fill-mode: both;
}

.allowTop {
  position: absolute;

  bottom: 40px;

  left: 50%;

  width: 24px;

  height: 24px;

  margin-left: -12px;

  -webkit-animation: sdb 2s infinite;

  animation: sdb 2s infinite;

  z-index: 2;
}

.allowTop img {
  display: block;

  width: auto !important;

  height: 38px !important;
}

@-webkit-keyframes sdb {
  0% {
    -webkit-transform: translate(0, 0);
  }

  20% {
    -webkit-transform: translate(0, 10px);
  }

  40% {
    -webkit-transform: translate(0, 0);
  }
}

@keyframes sdb {
  0% {
    transform: translate(0, 0);
  }

  20% {
    transform: translate(0, 10px);
  }

  40% {
    transform: translate(0, 0);
  }
}

/*animeend*/

.siteTitleSub {
  margin: 0 0 30px;

  letter-spacing: 1px;

  font-size: 2.2rem;
}

.siteTitleSub::before,
.siteTitleSub::after {
  content: "";

  display: inline-block;

  width: 140px;

  height: 2px;

  margin: 0 30px;

  background-color: #fff;

  vertical-align: middle;
}

.siteTitle {
  margin: 50px 0 40px;

  font-size: 7.6rem;
}

.siteDescription {
  margin-bottom: 50px;

  color: #888;

  font-size: 1.6rem;
}

/* service */

#service {
  color: #333;
  /* background: url("/img/index/bg_img01.jpg"); */
  background-color: #fabf1b;
  z-index: -1;
}

#service::before {
  content: "";
  background: url("/img/index/bg_img01.jpg");
  position: absolute;
}

#service::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0; /* width: 82%; */ /* max-width: 980px; */
  margin: 0 auto;
  background: url(/img/index/SERVICE.svg);
  background-position: bottom -15px center;
  background-repeat: no-repeat;
  z-index: -1;
  background-size: auto 200px;
}

#service .h2TextTop,
#service .h2TextBottom {
  color: #fabf1b;
}

.serviceWrapper {
  display: table;
  width: 85%;
  margin: -185px auto 15px;
  table-layout: fixed;
  z-index: 4;
  position: relative;
}

.serviceBox {
  display: table-cell;
}

.serviceBox img {
  width: 70%;
  object-fit: contain;
  margin-bottom: 20px;
}

p.skillText {
  width: 72%;
  padding-left: 2%;
  margin: auto;
  line-height: 1.5;
  text-align: left;
  font-size: 1.05em;
  font-weight: bold;
}

.serviceTitle {
  width: 70%;
  margin: auto auto 20px auto;
  font-size: 2rem;
  font-weight: bold;
}

.serviceText {
  margin: 0 20px;
  line-height: 2;
}

iframe {
  width: 100%;
  height: 570px;
  vertical-align:bottom;

  -webkit-filter: grayscale(100%);
  -moz-filter: grayscale(100%);
  -ms-filter: grayscale(100%);
  -o-filter: grayscale(100%);
  filter: grayscale(100%);
}

#service .bottom_img {
  width: 35%;

  margin: 0 auto;
}

#service .bottom_img img {
  width: 100%;

  object-fit: contain;

  opacity: 0.6;
}

/* =========================================================

company

========================================================= */

#company {
  color: #333;

  padding: 0;

  display: grid;

  grid-template-columns: 50%;
}

#company .contentImg {
  display: inline-block;

  grid-column: 1;
}

#company .contentImg img {
  width: 100%;

  height: 100%;

  object-fit: cover;
}

#company .contentBoxWrap {
  display: inline-block;
  grid-column: 2;
  font-weight: bold;
  background-image: url(/img/index/COMPANY.svg);
  background-repeat: no-repeat;
  background-position: bottom -12px left;
  padding-bottom: 25px;
  background-size: auto 150px;
}

#company .contentBoxWrap h2 {
  margin: 30px 0 35px 0;

  padding-bottom: 35px;
}

#company .contentBoxWrap h2::after {
  content: "";

  position: absolute;

  top: 0;

  bottom: 0;

  right: 0;

  left: 0;

  width: 60%;

  margin: auto;

  border-bottom: 3px solid #fabf1b;

  z-index: -1;
}

.contentBox {
}

#company dl {
  margin: 0px auto 36px;
  width: 70%;
}

#company dl:last-child {
  border-bottom: none;
}

#company dl dt {
  margin-bottom: 10px;

  font-size: 1.2em;
}

#company dl dd {
  font-weight: 500;

  font-size: 1.2em;
}

#company dl:last-child dd {
  line-height: 1.5;
}

#company dl dd li {
  margin-bottom: 20px;
}

#company dl dd ul {
  list-style: none;

  text-align: left;

  text-indent: -1em;

  padding-left: 1em;

  margin: 0 10%;
}

/* contact */

#contact {
  color: #fff;
  background: url(/img/index/CONTACT.svg) right 50% bottom -15px / auto 180px no-repeat, url(/img/index/bg_img01.jpg);
  padding-bottom: 0;
}

#contact .h2TextTop,
#contact .h2TextBottom {
  color: #fff;
}

#contact h2 {
  padding-bottom: 35px;

  margin-bottom: 35px;
}

#contact h2::after {
  content: "";

  position: absolute;

  top: 0;

  bottom: 0;

  right: 0;

  left: 0;

  width: 35%;

  margin: auto;

  border-bottom: 3px solid #ef7e1e;
}

.tel {
  font-size: 2em;

  font-weight: bold;

  margin: 20px auto;

  height: 2em;
}

.tel .tel_icon {
  height: 23px;

  object-fit: contain;

  margin: 0 7px 0 0;

  position: relative;

  top: 1px;
}

.tel .tel_num {
  display: inline-block;

  height: 100%;
}

.contactForm {
  width: 50%;

  margin: 40px auto 0;
}

.contactForm input[type="text"],
.contactForm textarea {
  display: block;

  width: 100%;

  margin-bottom: 10px;

  padding: 15px;

  border: 1px solid rgba(0, 0, 0, 0.4);

  border-radius: 0;

  background-color: rgba(0, 0, 0, 0.05);

  outline: none;
}

.contactForm input[type="text"]:focus,
.contactForm textarea:focus {
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.6) inset;
}

.contactForm textarea {
  height: 200px;
}

.contactForm input[type="submit"] {
  display: block;

  width: 200px;

  margin: 40px auto 0;

  padding: 15px;

  border: 1px solid rgba(0, 0, 0, 0.4);

  border-radius: 5px;

  background-color: transparent;

  color: rgba(0, 0, 0, 0.6);

  cursor: pointer;

  -webkit-appearance: button;

  transition: all 0.3s ease;
}

.contactForm input[type="submit"]:hover {
  background-color: #292929;

  color: #fff;

  -webkit-appearance: button;
}

label {
  margin: 0 0 10px 10px;

  text-align: left;

  display: block;
}

/* footer */

.footer {
  padding: 12px 0;

  font-size: 1.3rem;

  background-color: #ef7e1e;

  color: #000;
}

.tel a {
  /* color: inherit; */

  text-decoration: none;
}

/* 切り替えでグロナビ初期--- */

#headerWrap {
  background-color: #fff;

  border-top: 10px solid #000;
}

/* ---切り替えでグロナビ初期 */

/* ここからスマホ */

@media (max-width: 768px) {
  html {
    scroll-padding-top: 47px;
  }

  .header {
    padding-top: 60px;
  }

  .button:hover {
    opacity: 1;
  }

  .heading {
    font-size: 2.5rem;
  }

  body {
    font-size: 1.3rem;

    min-width: 320px;
  }

  .about-text {
    line-height: 1.8;
  }

  .serviceWrapeer,
  .serviceBox {
    display: block;
  }

  .serviceIcon {
    width: 100px;

    height: 100px;

    font-size: 5rem;

    line-height: 92px;
  }

  .serviceBox {
    margin: 40px auto;
  }

  .serviceText {
    margin: 0;
  }

  .contactForm {
    width: 80%;
  }

  .contact {
    padding-bottom: 80px;
  }

  .logo {
    width: 100%;

    float: none;

    margin-top: 0;

    position: relative;
  }

  .logo img {
    width: auto;

    height: 45px;

    position: absolute;

    left: 8px;

    padding: 3px;
  }

  .menu {
    float: none;
  }

  .menu li {
    width: 100%;

    height: 14vh;
  }

  .menu li a {
    height: 100%;

    line-height: 0;
  }

  #headerWrap,
  #headerBox {
    width: 100%;

    min-width: unset;

    height: 56px;
  }

  #top {
    background-color: #fff;

    position: relative;

    padding-top: 50px;
  }

  .topBorder {
    font-size: 6vw;
  }

  #top img {
    width: 100%;

    height: calc(50vh - 47px);

    object-fit: cover;

    object-position: 50% 0%;

    padding-top: 0;
  }

  #mainImageWrapper::before {
    min-width: auto;
    min-height: auto;
    width: 38vw;
    height: 23vw;
    left: auto;
    right: 63vw;
  }

  #mainImageWrapper::after {
    min-width: auto;
    min-height: auto;
    width: 38vw;
    height: 22vw;
    right: auto;
    left: 62vw;
  }

  #top img#mainCopy {
    min-width: auto;
    width: 62vw;
    max-width: 320px;
  }

  .h2TextTop {
    font-size: 6vw;
  }

  .h2TextBottom {
    font-size: 3vw;
  }

  .serviceWrapper {
    margin: -15vw auto 0;
    width: 100%;
  }

  .serviceBox img {
  }

  .serviceBox:last-child {
    margin-bottom: 0;
  }

  .contents {
    padding: 50px 0;
  }

  iframe {
    width: 100%;

    height: 500px;

    padding: 5px;
  }

  #company {
    padding-bottom: 100px;
  }

  #company dl {
    width: 90%;
  }

  /* ハンバーガー */

  header #navi {
    transition: all 0.6s;

    overflow-y: auto;

    padding-top: 90px;

    width: 60%;

    height: 100vh;

    z-index: 200;

    top: 0;

    right: -450px;

    background-color: #fff;

    position: fixed;

    display: flex;

    flex-direction: column;

    align-items: center;
  }

  header .nav_btn {
    width: 44px;

    height: 44px;

    z-index: 300;

    top: 9px;

    right: 5px;

    cursor: pointer;

    position: fixed;
  }

  .hamburger_line {
    transition: all 0.6s;

    width: 34px;

    height: 2px;

    left: 5px;

    background-color: #000;

    position: absolute;
  }

  .hamburger_line1 {
    top: 10px;
  }

  .hamburger_line2 {
    top: 21px;
  }

  .hamburger_line3 {
    top: 32px;
  }

  .nav_bg {
    opacity: 0;

    transition: all 0.6s;

    width: 100vw;

    height: 100vh;

    z-index: 100;

    top: 0;

    left: 0;

    visibility: hidden;

    background-color: #000;

    cursor: pointer;

    position: fixed;
  }

  .nav_open header #navi {
    right: 0;
  }

  .nav_open .nav_bg {
    opacity: 0.8;

    visibility: visible;
  }

  .nav_open .hamburger_line1 {
    transform: rotate(45deg);

    top: 20px;
  }

  .nav_open .hamburger_line2 {
    width: 0;

    left: 50%;
  }

  .nav_open .hamburger_line3 {
    transform: rotate(-45deg);

    top: 20px;
  }

  #headerBox li a span {
    position: relative;

    top: 7vh;
  }

  #headerBox li a:hover {
    color: #333;
  }

  .scroll #headerBox li a:hover {
    background-color: #fff;
  }

  .scrolled {
    background-color: rgba(51, 51, 51, 0);
  }

  /* ハンバーガー終わり */

  a[href*="tel:"] {
    pointer-events: none;

    cursor: default;

    text-decoration: none;
  }

  #service {
    /* background:#fabf1b; */
    padding-top: 0;
  }

  #service .heading {
    background: url(/img/index/bg_img01.jpg);
    padding-top: 5%;
    height: 30vw;
    max-height: none;
  }

  #service .heading::before {
    border-width: 0px 50vw 17vw 0px;
  }

  #service .heading::after {
    border-width: 0px 0px 17vw 50vw;
  }

  #company .contentImg {
    display: none;
  }

  #company {
    grid-template-columns: initial;

    padding: 0;
  }

  #company .contentBoxWrap {
    padding-bottom: 0;
    background-size: auto 14vw;
    grid-column: 1;
    background-position: bottom -1vw center;
  }

  #contact {
    background: url(/img/index/CONTACT.svg) right 50% bottom -1vw / auto 14vw no-repeat, url(/img/index/bg_img01.jpg);
  }

  #service::after {
    background-size: auto 14vw;
    background-position: bottom -1vw center;
  }
}
